import { HttpMethod } from './HttpMethod';
import { HttpHandler } from './HttpHandler';
import { Request } from './Request';
import { Response } from './Response';
declare abstract class Route extends HttpHandler {
    protected abstract method: HttpMethod;
    protected abstract action: (req: Request, res: Response) => any;
    protected get documentation(): string;
    getMethod(): HttpMethod;
    getDocumentation(): string;
}
export { Route };
